
Robotics Systems Types - Support #1248
Add new type 'PointCloudSet3DFloat' to the sandbox
11/20/2012 12:32 PM - C. Emmerich

Status: Resolved Start date: 11/20/2012
Priority: Normal Due date:
Assignee: J. Moringen % Done: 100%
Category: Type Proposal Estimated time: 0.00 hour
Target version:
Description

Please add to rst0.7

Associated revisions
Revision dd64ae46 - 11/21/2012 12:46 PM - C. Emmerich

Added geometry.PointCloudSets3DFloat: sets of point clouds

refs #1248

Signed-off-by: Jan Moringen <jmoringe@techfak.uni-bielefeld.de>

Revision 1637b109 - 11/21/2012 12:48 PM - C. Emmerich

Added geometry.PointCloudSets3DFloat: sets of point clouds

fixes #1248

Signed-off-by: Jan Moringen <jmoringe@techfak.uni-bielefeld.de>

History
#1 - 11/20/2012 01:02 PM - J. Moringen

Should the new type be added to the master branch?

Also, please modify the documentation string along the lines of

/**
 * A set of 3D Point clouds.
 *
 * @author NAME <EMAIL>
 */

Please comment the clouds field like this:

/**
 * Empty collection of clouds is (allowed|not allowed).
 * The order of cloud objects (is|is not) significant.
 */
repeated geometry.PointCloud3DFloat clouds = 1;

Please submit a new patch with these modifications. Sorry for the inconvenience.

#2 - 11/20/2012 03:51 PM - C. Emmerich
- File 0002-changed-documentation-of-PointCloudSets3DFloat-for-c.patch added

yes, for backward compatibility it should also be included into master.

New patch is attached.

#3 - 11/21/2012 12:44 PM - J. Moringen
- Category set to Type Proposal
- Status changed from New to In Progress
- Assignee set to J. Moringen

#4 - 11/21/2012 12:49 PM - C. Emmerich
- Status changed from In Progress to Resolved
- % Done changed from 0 to 100

Applied in changeset rst-proto|commit:1637b109f5d1ca71dd3f8a1306a08b5cc7738cf8.

Files
0001-added-new-proto-type-sets-of-point-clouds.patch 977 Bytes 11/20/2012 C. Emmerich
0002-changed-documentation-of-PointCloudSets3DFloat-for-c.patch 1.17 KB 11/20/2012 C. Emmerich

05/06/2024 2/2


